comparison configure @ 121:d8af32b1b1cd

Switch back to using pixmaps and bitmaps, only use pixbufs for doing XPM conversion.
author bsmith@81767d24-ef19-dc11-ae90-00e081727c95
date Sat, 19 Oct 2002 21:48:57 +0000
parents 7d2108cbcd3e
children 18ecaae9cc3b
comparison
equal deleted inserted replaced
120:7d2108cbcd3e 121:d8af32b1b1cd
4219 fi 4219 fi
4220 4220
4221 4221
4222 rm -f conf.gtktest 4222 rm -f conf.gtktest
4223 4223
4224
4225 # Check whether --with-imlib-prefix or --without-imlib-prefix was given.
4226 if test "${with_imlib_prefix+set}" = set; then
4227 withval="$with_imlib_prefix"
4228 imlib_prefix="$withval"
4229 else
4230 imlib_prefix=""
4231 fi;
4232
4233 # Check whether --with-imlib-exec-prefix or --without-imlib-exec-prefix was given.
4234 if test "${with_imlib_exec_prefix+set}" = set; then
4235 withval="$with_imlib_exec_prefix"
4236 imlib_exec_prefix="$withval"
4237 else
4238 imlib_exec_prefix=""
4239 fi;
4240 # Check whether --enable-imlibtest or --disable-imlibtest was given.
4241 if test "${enable_imlibtest+set}" = set; then
4242 enableval="$enable_imlibtest"
4243
4244 else
4245 enable_imlibtest=yes
4246 fi;
4247
4248 if test x$imlib_exec_prefix != x ; then
4249 imlib_args="$imlib_args --exec-prefix=$imlib_exec_prefix"
4250 if test x${IMLIB_CONFIG+set} != xset ; then
4251 IMLIB_CONFIG=$imlib_exec_prefix/bin/imlib-config
4252 fi
4253 fi
4254 if test x$imlib_prefix != x ; then
4255 imlib_args="$imlib_args --prefix=$imlib_prefix"
4256 if test x${IMLIB_CONFIG+set} != xset ; then
4257 IMLIB_CONFIG=$imlib_prefix/bin/imlib-config
4258 fi
4259 fi
4260
4261 # Extract the first word of "imlib-config", so it can be a program name with args.
4262 set dummy imlib-config; ac_word=$2
4263 echo "$as_me:$LINENO: checking for $ac_word" >&5
4264 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
4265 if test "${ac_cv_path_IMLIB_CONFIG+set}" = set; then
4266 echo $ECHO_N "(cached) $ECHO_C" >&6
4267 else
4268 case $IMLIB_CONFIG in
4269 [\\/]* | ?:[\\/]*)
4270 ac_cv_path_IMLIB_CONFIG="$IMLIB_CONFIG" # Let the user override the test with a path.
4271 ;;
4272 *)
4273 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
4274 for as_dir in $PATH
4275 do
4276 IFS=$as_save_IFS
4277 test -z "$as_dir" && as_dir=.
4278 for ac_exec_ext in '' $ac_executable_extensions; do
4279 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
4280 ac_cv_path_IMLIB_CONFIG="$as_dir/$ac_word$ac_exec_ext"
4281 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
4282 break 2
4283 fi
4284 done
4285 done
4286
4287 test -z "$ac_cv_path_IMLIB_CONFIG" && ac_cv_path_IMLIB_CONFIG="no"
4288 ;;
4289 esac
4290 fi
4291 IMLIB_CONFIG=$ac_cv_path_IMLIB_CONFIG
4292
4293 if test -n "$IMLIB_CONFIG"; then
4294 echo "$as_me:$LINENO: result: $IMLIB_CONFIG" >&5
4295 echo "${ECHO_T}$IMLIB_CONFIG" >&6
4296 else
4297 echo "$as_me:$LINENO: result: no" >&5
4298 echo "${ECHO_T}no" >&6
4299 fi
4300
4301 min_imlib_version=1.9.4
4302 echo "$as_me:$LINENO: checking for IMLIB - version >= $min_imlib_version" >&5
4303 echo $ECHO_N "checking for IMLIB - version >= $min_imlib_version... $ECHO_C" >&6
4304 no_imlib=""
4305 if test "$IMLIB_CONFIG" = "no" ; then
4306 no_imlib=yes
4307 else
4308 GDK_IMLIB_CFLAGS=`$IMLIB_CONFIG $imlibconf_args --cflags-gdk`
4309 GDK_IMLIB_LIBS=`$IMLIB_CONFIG $imlibconf_args --libs-gdk`
4310
4311 imlib_major_version=`$IMLIB_CONFIG $imlib_args --version | \
4312 sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
4313 imlib_minor_version=`$IMLIB_CONFIG $imlib_args --version | \
4314 sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
4315 imlib_micro_version=`$IMLIB_CONFIG $imlib_args --version | \
4316 sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
4317 if test "x$enable_imlibtest" = "xyes" ; then
4318 ac_save_CFLAGS="$CFLAGS"
4319 ac_save_LIBS="$LIBS"
4320 CFLAGS="$CFLAGS $GDK_IMLIB_CFLAGS"
4321 LIBS="$LIBS $GDK_IMLIB_LIBS"
4322 rm -f conf.imlibtest
4323 if test "$cross_compiling" = yes; then
4324 echo $ac_n "cross compiling; assumed OK... $ac_c"
4325 else
4326 cat >conftest.$ac_ext <<_ACEOF
4327 #line $LINENO "configure"
4328 #include "confdefs.h"
4329
4330 #include <stdio.h>
4331 #include <stdlib.h>
4332 #include <gdk_imlib.h>
4333
4334 int main ()
4335 {
4336 int major, minor, micro;
4337 char *tmp_version;
4338
4339 system ("touch conf.gdkimlibtest");
4340
4341 /* HP/UX 9 (%@#!) writes to sscanf strings */
4342 tmp_version = g_strdup("$min_imlib_version");
4343 if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
4344 printf("%s, bad version string\n", "$min_imlib_version");
4345 exit(1);
4346 }
4347
4348 if (($imlib_major_version > major) ||
4349 (($imlib_major_version == major) && ($imlib_minor_version > minor)) ||
4350 (($imlib_major_version == major) && ($imlib_minor_version == minor) &&
4351 ($imlib_micro_version >= micro)))
4352 {
4353 return 0;
4354 }
4355 else
4356 {
4357 printf("\n*** 'imlib-config --version' returned %d.%d.%d, but the minimum version\n", $imlib_major_version, $imlib_minor_version, $imlib_micro_version);
4358 printf("*** of IMLIB required is %d.%d.%d. If imlib-config is correct, then it is\n", major, minor, micro);
4359 printf("*** best to upgrade to the required version.\n");
4360 printf("*** If imlib-config was wrong, set the environment variable IMLIB_CONFIG\n");
4361 printf("*** to point to the correct copy of imlib-config, and remove the file\n");
4362 printf("*** config.cache before re-running configure\n");
4363 return 1;
4364 }
4365 }
4366
4367
4368 _ACEOF
4369 rm -f conftest$ac_exeext
4370 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4371 (eval $ac_link) 2>&5
4372 ac_status=$?
4373 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4374 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4375 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4376 (eval $ac_try) 2>&5
4377 ac_status=$?
4378 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4379 (exit $ac_status); }; }; then
4380 :
4381 else
4382 echo "$as_me: program exited with status $ac_status" >&5
4383 echo "$as_me: failed program was:" >&5
4384 cat conftest.$ac_ext >&5
4385 ( exit $ac_status )
4386 no_imlib=yes
4387 fi
4388 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4389 fi
4390 CFLAGS="$ac_save_CFLAGS"
4391 LIBS="$ac_save_LIBS"
4392 fi
4393 fi
4394 if test "x$no_imlib" = x ; then
4395 echo "$as_me:$LINENO: result: yes" >&5
4396 echo "${ECHO_T}yes" >&6
4397 cat >>confdefs.h <<\_ACEOF
4398 #define USE_IMLIB 1
4399 _ACEOF
4400
4401 else
4402 echo "$as_me:$LINENO: result: no" >&5
4403 echo "${ECHO_T}no" >&6
4404 if test "$IMLIB_CONFIG" = "no" ; then
4405 echo "*** The imlib-config script installed by IMLIB could not be found"
4406 echo "*** If IMLIB was installed in PREFIX, make sure PREFIX/bin is in"
4407 echo "*** your path, or set the IMLIB_CONFIG environment variable to the"
4408 echo "*** full path to imlib-config."
4409 else
4410 if test -f conf.gdkimlibtest ; then
4411 :
4412 else
4413 echo "*** Could not run IMLIB test program, checking why..."
4414 CFLAGS="$CFLAGS $GDK_IMLIB_CFLAGS"
4415 LIBS="$LIBS $GDK_IMLIB_LIBS"
4416 cat >conftest.$ac_ext <<_ACEOF
4417 #line $LINENO "configure"
4418 #include "confdefs.h"
4419
4420 #include <stdio.h>
4421 #include <gdk_imlib.h>
4422
4423 #ifdef F77_DUMMY_MAIN
4424 # ifdef __cplusplus
4425 extern "C"
4426 # endif
4427 int F77_DUMMY_MAIN() { return 1; }
4428 #endif
4429 int
4430 main ()
4431 {
4432 return 0;
4433 ;
4434 return 0;
4435 }
4436 _ACEOF
4437 rm -f conftest.$ac_objext conftest$ac_exeext
4438 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4439 (eval $ac_link) 2>&5
4440 ac_status=$?
4441 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4442 (exit $ac_status); } &&
4443 { ac_try='test -s conftest$ac_exeext'
4444 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4445 (eval $ac_try) 2>&5
4446 ac_status=$?
4447 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4448 (exit $ac_status); }; }; then
4449 echo "*** The test program compiled, but did not run. This usually means"
4450 echo "*** that the run-time linker is not finding IMLIB or finding the wrong"
4451 echo "*** version of IMLIB. If it is not finding IMLIB, you'll need to set your"
4452 echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
4453 echo "*** to the installed location Also, make sure you have run ldconfig if that"
4454 echo "*** is required on your system"
4455 echo "***"
4456 echo "*** If you have an old version installed, it is best to remove it, although"
4457 echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"
4458 else
4459 echo "$as_me: failed program was:" >&5
4460 cat conftest.$ac_ext >&5
4461 echo "*** The test program failed to compile or link. See the file config.log for the"
4462 echo "*** exact error that occured. This usually means IMLIB was incorrectly installed"
4463 echo "*** or that you have moved IMLIB since it was installed. In the latter case, you"
4464 echo "*** may want to edit the imlib-config script: $IMLIB_CONFIG"
4465 fi
4466 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
4467 CFLAGS="$ac_save_CFLAGS"
4468 LIBS="$ac_save_LIBS"
4469 fi
4470 fi
4471 GDK_IMLIB_CFLAGS=""
4472 GDK_IMLIB_LIBS=""
4473 { { echo "$as_me:$LINENO: error: IMLIB not found or too old. Dynamic Windows cannot build without it." >&5
4474 echo "$as_me: error: IMLIB not found or too old. Dynamic Windows cannot build without it." >&2;}
4475 { (exit 1); exit 1; }; }
4476 fi
4477
4478
4479 rm -f conf.gdkimlibtest
4480
4224 else 4481 else
4225 GTK_CFLAGS=`$PKG_CFG --cflags gtk+-2.0 gthread-2.0` 4482 GTK_CFLAGS=`$PKG_CFG --cflags gtk+-2.0 gthread-2.0`
4226 GTK_LIBS=`$PKG_CFG --libs gtk+-2.0 gthread-2.0` 4483 GTK_LIBS=`$PKG_CFG --libs gtk+-2.0 gthread-2.0`
4227 fi 4484 fi
4228 4485
4521 4778
4522 fi 4779 fi
4523 4780
4524 4781
4525 fi 4782 fi
4526
4527
4528
4529 # Check whether --with-imlib-prefix or --without-imlib-prefix was given.
4530 if test "${with_imlib_prefix+set}" = set; then
4531 withval="$with_imlib_prefix"
4532 imlib_prefix="$withval"
4533 else
4534 imlib_prefix=""
4535 fi;
4536
4537 # Check whether --with-imlib-exec-prefix or --without-imlib-exec-prefix was given.
4538 if test "${with_imlib_exec_prefix+set}" = set; then
4539 withval="$with_imlib_exec_prefix"
4540 imlib_exec_prefix="$withval"
4541 else
4542 imlib_exec_prefix=""
4543 fi;
4544 # Check whether --enable-imlibtest or --disable-imlibtest was given.
4545 if test "${enable_imlibtest+set}" = set; then
4546 enableval="$enable_imlibtest"
4547
4548 else
4549 enable_imlibtest=yes
4550 fi;
4551
4552 if test x$imlib_exec_prefix != x ; then
4553 imlib_args="$imlib_args --exec-prefix=$imlib_exec_prefix"
4554 if test x${IMLIB_CONFIG+set} != xset ; then
4555 IMLIB_CONFIG=$imlib_exec_prefix/bin/imlib-config
4556 fi
4557 fi
4558 if test x$imlib_prefix != x ; then
4559 imlib_args="$imlib_args --prefix=$imlib_prefix"
4560 if test x${IMLIB_CONFIG+set} != xset ; then
4561 IMLIB_CONFIG=$imlib_prefix/bin/imlib-config
4562 fi
4563 fi
4564
4565 # Extract the first word of "imlib-config", so it can be a program name with args.
4566 set dummy imlib-config; ac_word=$2
4567 echo "$as_me:$LINENO: checking for $ac_word" >&5
4568 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
4569 if test "${ac_cv_path_IMLIB_CONFIG+set}" = set; then
4570 echo $ECHO_N "(cached) $ECHO_C" >&6
4571 else
4572 case $IMLIB_CONFIG in
4573 [\\/]* | ?:[\\/]*)
4574 ac_cv_path_IMLIB_CONFIG="$IMLIB_CONFIG" # Let the user override the test with a path.
4575 ;;
4576 *)
4577 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
4578 for as_dir in $PATH
4579 do
4580 IFS=$as_save_IFS
4581 test -z "$as_dir" && as_dir=.
4582 for ac_exec_ext in '' $ac_executable_extensions; do
4583 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
4584 ac_cv_path_IMLIB_CONFIG="$as_dir/$ac_word$ac_exec_ext"
4585 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
4586 break 2
4587 fi
4588 done
4589 done
4590
4591 test -z "$ac_cv_path_IMLIB_CONFIG" && ac_cv_path_IMLIB_CONFIG="no"
4592 ;;
4593 esac
4594 fi
4595 IMLIB_CONFIG=$ac_cv_path_IMLIB_CONFIG
4596
4597 if test -n "$IMLIB_CONFIG"; then
4598 echo "$as_me:$LINENO: result: $IMLIB_CONFIG" >&5
4599 echo "${ECHO_T}$IMLIB_CONFIG" >&6
4600 else
4601 echo "$as_me:$LINENO: result: no" >&5
4602 echo "${ECHO_T}no" >&6
4603 fi
4604
4605 min_imlib_version=1.9.4
4606 echo "$as_me:$LINENO: checking for IMLIB - version >= $min_imlib_version" >&5
4607 echo $ECHO_N "checking for IMLIB - version >= $min_imlib_version... $ECHO_C" >&6
4608 no_imlib=""
4609 if test "$IMLIB_CONFIG" = "no" ; then
4610 no_imlib=yes
4611 else
4612 GDK_IMLIB_CFLAGS=`$IMLIB_CONFIG $imlibconf_args --cflags-gdk`
4613 GDK_IMLIB_LIBS=`$IMLIB_CONFIG $imlibconf_args --libs-gdk`
4614
4615 imlib_major_version=`$IMLIB_CONFIG $imlib_args --version | \
4616 sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
4617 imlib_minor_version=`$IMLIB_CONFIG $imlib_args --version | \
4618 sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
4619 imlib_micro_version=`$IMLIB_CONFIG $imlib_args --version | \
4620 sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
4621 if test "x$enable_imlibtest" = "xyes" ; then
4622 ac_save_CFLAGS="$CFLAGS"
4623 ac_save_LIBS="$LIBS"
4624 CFLAGS="$CFLAGS $GDK_IMLIB_CFLAGS"
4625 LIBS="$LIBS $GDK_IMLIB_LIBS"
4626 rm -f conf.imlibtest
4627 if test "$cross_compiling" = yes; then
4628 echo $ac_n "cross compiling; assumed OK... $ac_c"
4629 else
4630 cat >conftest.$ac_ext <<_ACEOF
4631 #line $LINENO "configure"
4632 #include "confdefs.h"
4633
4634 #include <stdio.h>
4635 #include <stdlib.h>
4636 #include <gdk_imlib.h>
4637
4638 int main ()
4639 {
4640 int major, minor, micro;
4641 char *tmp_version;
4642
4643 system ("touch conf.gdkimlibtest");
4644
4645 /* HP/UX 9 (%@#!) writes to sscanf strings */
4646 tmp_version = g_strdup("$min_imlib_version");
4647 if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
4648 printf("%s, bad version string\n", "$min_imlib_version");
4649 exit(1);
4650 }
4651
4652 if (($imlib_major_version > major) ||
4653 (($imlib_major_version == major) && ($imlib_minor_version > minor)) ||
4654 (($imlib_major_version == major) && ($imlib_minor_version == minor) &&
4655 ($imlib_micro_version >= micro)))
4656 {
4657 return 0;
4658 }
4659 else
4660 {
4661 printf("\n*** 'imlib-config --version' returned %d.%d.%d, but the minimum version\n", $imlib_major_version, $imlib_minor_version, $imlib_micro_version);
4662 printf("*** of IMLIB required is %d.%d.%d. If imlib-config is correct, then it is\n", major, minor, micro);
4663 printf("*** best to upgrade to the required version.\n");
4664 printf("*** If imlib-config was wrong, set the environment variable IMLIB_CONFIG\n");
4665 printf("*** to point to the correct copy of imlib-config, and remove the file\n");
4666 printf("*** config.cache before re-running configure\n");
4667 return 1;
4668 }
4669 }
4670
4671
4672 _ACEOF
4673 rm -f conftest$ac_exeext
4674 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4675 (eval $ac_link) 2>&5
4676 ac_status=$?
4677 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4678 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4679 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4680 (eval $ac_try) 2>&5
4681 ac_status=$?
4682 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4683 (exit $ac_status); }; }; then
4684 :
4685 else
4686 echo "$as_me: program exited with status $ac_status" >&5
4687 echo "$as_me: failed program was:" >&5
4688 cat conftest.$ac_ext >&5
4689 ( exit $ac_status )
4690 no_imlib=yes
4691 fi
4692 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4693 fi
4694 CFLAGS="$ac_save_CFLAGS"
4695 LIBS="$ac_save_LIBS"
4696 fi
4697 fi
4698 if test "x$no_imlib" = x ; then
4699 echo "$as_me:$LINENO: result: yes" >&5
4700 echo "${ECHO_T}yes" >&6
4701 cat >>confdefs.h <<\_ACEOF
4702 #define USE_IMLIB 1
4703 _ACEOF
4704
4705 else
4706 echo "$as_me:$LINENO: result: no" >&5
4707 echo "${ECHO_T}no" >&6
4708 if test "$IMLIB_CONFIG" = "no" ; then
4709 echo "*** The imlib-config script installed by IMLIB could not be found"
4710 echo "*** If IMLIB was installed in PREFIX, make sure PREFIX/bin is in"
4711 echo "*** your path, or set the IMLIB_CONFIG environment variable to the"
4712 echo "*** full path to imlib-config."
4713 else
4714 if test -f conf.gdkimlibtest ; then
4715 :
4716 else
4717 echo "*** Could not run IMLIB test program, checking why..."
4718 CFLAGS="$CFLAGS $GDK_IMLIB_CFLAGS"
4719 LIBS="$LIBS $GDK_IMLIB_LIBS"
4720 cat >conftest.$ac_ext <<_ACEOF
4721 #line $LINENO "configure"
4722 #include "confdefs.h"
4723
4724 #include <stdio.h>
4725 #include <gdk_imlib.h>
4726
4727 #ifdef F77_DUMMY_MAIN
4728 # ifdef __cplusplus
4729 extern "C"
4730 # endif
4731 int F77_DUMMY_MAIN() { return 1; }
4732 #endif
4733 int
4734 main ()
4735 {
4736 return 0;
4737 ;
4738 return 0;
4739 }
4740 _ACEOF
4741 rm -f conftest.$ac_objext conftest$ac_exeext
4742 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4743 (eval $ac_link) 2>&5
4744 ac_status=$?
4745 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4746 (exit $ac_status); } &&
4747 { ac_try='test -s conftest$ac_exeext'
4748 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4749 (eval $ac_try) 2>&5
4750 ac_status=$?
4751 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4752 (exit $ac_status); }; }; then
4753 echo "*** The test program compiled, but did not run. This usually means"
4754 echo "*** that the run-time linker is not finding IMLIB or finding the wrong"
4755 echo "*** version of IMLIB. If it is not finding IMLIB, you'll need to set your"
4756 echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
4757 echo "*** to the installed location Also, make sure you have run ldconfig if that"
4758 echo "*** is required on your system"
4759 echo "***"
4760 echo "*** If you have an old version installed, it is best to remove it, although"
4761 echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"
4762 else
4763 echo "$as_me: failed program was:" >&5
4764 cat conftest.$ac_ext >&5
4765 echo "*** The test program failed to compile or link. See the file config.log for the"
4766 echo "*** exact error that occured. This usually means IMLIB was incorrectly installed"
4767 echo "*** or that you have moved IMLIB since it was installed. In the latter case, you"
4768 echo "*** may want to edit the imlib-config script: $IMLIB_CONFIG"
4769 fi
4770 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
4771 CFLAGS="$ac_save_CFLAGS"
4772 LIBS="$ac_save_LIBS"
4773 fi
4774 fi
4775 GDK_IMLIB_CFLAGS=""
4776 GDK_IMLIB_LIBS=""
4777 { { echo "$as_me:$LINENO: error: IMLIB not found or too old. Dynamic Windows cannot build without it." >&5
4778 echo "$as_me: error: IMLIB not found or too old. Dynamic Windows cannot build without it." >&2;}
4779 { (exit 1); exit 1; }; }
4780 fi
4781
4782
4783 rm -f conf.gdkimlibtest
4784 4783
4785 4784
4786 CFLAGS="$CFLAGS $GTK_CFLAGS $GDK_IMLIB_FLAGS" 4785 CFLAGS="$CFLAGS $GTK_CFLAGS $GDK_IMLIB_FLAGS"
4787 LIBS="$LIBS $GTK_LIBS $PTHREAD_LIBS $GDK_IMLIB_LIBS" 4786 LIBS="$LIBS $GTK_LIBS $PTHREAD_LIBS $GDK_IMLIB_LIBS"
4788 4787